<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>日期區間</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console"></div>

    <script>
        $(function() {
            var $console = $('#console');
            var dateDiff = function(sDate1, sDate2) { // sDate1 和 sDate2 是 2016-06-18 格式
                var oDate1 = new Date(sDate1);
                var oDate2 = new Date(sDate2);
                var iDays = parseInt(Math.abs(oDate1 - oDate2) / 1000 / 60 / 60 / 24); // 把相差的毫秒數轉換為天數
                return iDays;
            };
            var initPageView = function() {
                var beginDate = '2020-01-07';
                var endDate = '2020-01-10';
//                var day = dateDiff(beginDate,endDate);
                var day = dateDiff(endDate,beginDate);
//                var day = new Date(beginDate).getTime() - new Date(endDate);
                $console.text('day = ' + day);
            }

            initPageView();
        })

    </script>
</body>

</html>
